Page MenuHomePhabricator

[Regression] Wrong icon color
Closed, ResolvedPublic

Description

The inverted close icon color changed to #FFF at some unknown point, while the color was a shade of gray in the original icon SVG [link(?]]. This has affected the media viewer and the beta reference drawer. @KHammerstein (on IRC) says that the color of the icon should be #BBB for the media viewer.

Event Timeline

bmansurov raised the priority of this task from to Needs Triage.
bmansurov updated the task description. (Show Details)
bmansurov added subscribers: bmansurov, KHammerstein.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2015, 7:11 PM
bmansurov set Security to None.Jun 24 2015, 7:11 PM
bmansurov added a subscriber: Jdlrobson.
Jdlrobson updated the task description. (Show Details)Jun 24 2015, 7:18 PM

Would help to have URLs for original task/mock for those who haven't worked on this. I've corrected the description which was inaccurate. It has been white for some time. A git blame would tell you when.

phuedx added a subscriber: phuedx.

This needs more detail, e.g. someone to actual use git blame. That someone might be me…

KLans_WMF renamed this task from Wrong icon color to [Regression]: Wrong icon color.Jul 1 2015, 3:48 PM
KLans_WMF triaged this task as Medium priority.
KLans_WMF moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-50-The-X-Files board.
phuedx renamed this task from [Regression]: Wrong icon color to [Regression] Wrong icon color.Jul 1 2015, 4:06 PM

Change 223854 had a related patch set uploaded (by Bmansurov):
Use the same close icon color for image overlay and reference drawer

https://gerrit.wikimedia.org/r/223854

bmansurov claimed this task.Jul 9 2015, 6:34 PM
bmansurov moved this task from To Do to Code Review on the Reading-Web-Sprint-51-YOLO board.

Change 223854 merged by jenkins-bot:
Use the same close icon color for image overlay and reference drawer

https://gerrit.wikimedia.org/r/223854

Verified in beta-labs.

Icon in media-viewer looks darker because it has an opacity set. @KHammerstein @bmansurov should they be the same color? If so we probably need to remove the opacity on the close button on the image media viewer since it was probably there to make the icon gray.

.overlay.media-viewer .cancel {
  ...
  opacity: .75;

If we need to fix the icon opacity on the mediaviewer please open a bug on Readers-Web-Backlog Needs triage.

Verified on http://en.m.wikipedia.beta.wmflabs.org/wiki/Cat#/media/File:Cat_poster_1.jpg

Jhernandez closed this task as Resolved.Jul 13 2015, 2:15 PM